### Hierarchy

- ECDH

## Index

### Methods

- computeSecret
- generateKeys
- getPrivateKey
- getPublicKey
- setPrivateKey
- convertKey

## Methods

### computeSecret

- computeSecret(other_public_key: Binary): Buffer
- computeSecret(other_public_key: string, input_encoding: HexBase64Latin1Encoding): Buffer
- computeSecret(other_public_key: Binary, output_encoding: HexBase64Latin1Encoding): string
- computeSecret(other_public_key: string, input_encoding: HexBase64Latin1Encoding, output_encoding: HexBase64Latin1Encoding): string

- - Defined in node_modules/@types/node/crypto.d.ts:380

  #### Parameters

  - ##### other_public_key: Binary

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:381

  #### Parameters

  - ##### other_public_key: string

  - ##### input_encoding: HexBase64Latin1Encoding

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:382

  #### Parameters

  - ##### other_public_key: Binary

  - ##### output_encoding: HexBase64Latin1Encoding

  #### Returns string

- - Defined in node_modules/@types/node/crypto.d.ts:383

  #### Parameters

  - ##### other_public_key: string

  - ##### input_encoding: HexBase64Latin1Encoding

  - ##### output_encoding: HexBase64Latin1Encoding

  #### Returns string

### generateKeys

- generateKeys(): Buffer
- generateKeys(encoding: HexBase64Latin1Encoding, format?: ECDHKeyFormat): string

- - Defined in node_modules/@types/node/crypto.d.ts:378

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:379

  #### Parameters

  - ##### encoding: HexBase64Latin1Encoding

  - ##### Optional format: ECDHKeyFormat

  #### Returns string

### getPrivateKey

- getPrivateKey(): Buffer
- getPrivateKey(encoding: HexBase64Latin1Encoding): string

- - Defined in node_modules/@types/node/crypto.d.ts:384

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:385

  #### Parameters

  - ##### encoding: HexBase64Latin1Encoding

  #### Returns string

### getPublicKey

- getPublicKey(): Buffer
- getPublicKey(encoding: HexBase64Latin1Encoding, format?: ECDHKeyFormat): string

- - Defined in node_modules/@types/node/crypto.d.ts:386

  #### Returns Buffer

- - Defined in node_modules/@types/node/crypto.d.ts:387

  #### Parameters

  - ##### encoding: HexBase64Latin1Encoding

  - ##### Optional format: ECDHKeyFormat

  #### Returns string

### setPrivateKey

- setPrivateKey(private_key: Binary): void
- setPrivateKey(private_key: string, encoding: HexBase64Latin1Encoding): void

- - Defined in node_modules/@types/node/crypto.d.ts:388

  #### Parameters

  - ##### private_key: Binary

  #### Returns void

- - Defined in node_modules/@types/node/crypto.d.ts:389

  #### Parameters

  - ##### private_key: string

  - ##### encoding: HexBase64Latin1Encoding

  #### Returns void

### Static convertKey

- convertKey(key: BinaryLike, curve: string, inputEncoding?: HexBase64Latin1Encoding, outputEncoding?: "latin1" | "hex" | "base64", format?: "uncompressed" | "compressed" | "hybrid"): Buffer | string

- - Defined in node_modules/@types/node/crypto.d.ts:371

  #### Parameters

  - ##### key: BinaryLike

  - ##### curve: string

  - ##### Optional inputEncoding: HexBase64Latin1Encoding

  - ##### Optional outputEncoding: "latin1" | "hex" | "base64"

  - ##### Optional format: "uncompressed" | "compressed" | "hybrid"

  #### Returns Buffer | string

Generated using TypeDoc